Index: trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/actions/GenerateCompositeBNFAction.java
===================================================================
--- trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/actions/GenerateCompositeBNFAction.java	(revision 13)
+++ trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/actions/GenerateCompositeBNFAction.java	(revision 17)
@@ -93,5 +93,5 @@
 				   	String coreName = null;
 				   	// get the core grammar
-				   	EList<Import> imports = ((EtsiBnfImpl) xtextResource.getParseResult().getRootNode().getElement()).getImports();
+				   	EList<Import> imports = ((EtsiBnfImpl) xtextResource.getParseResult().getRootNode().getElement()).getImportSection().getImports();
 				   	for(int j=0; j< imports.size(); j++) {
 				   		if(imports.get(j).getGrammarType().equals("core"))
@@ -113,5 +113,5 @@
 					packageGrammars = new LinkedList<XtextResource>();
 					deltas = new LinkedList<URI>();
-				    EList<Import> packages = ((EtsiBnfImpl) xtextResource.getParseResult().getRootNode().getElement()).getImports();
+				    EList<Import> packages = ((EtsiBnfImpl) xtextResource.getParseResult().getRootNode().getElement()).getImportSection().getImports();
 				   	for(int j=0; j<packages.size(); j++) {
 				   		if(packages.get(j).getGrammarType().equals("package")) {
Index: trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/actions/PackageConsistencyCheckerAction.java
===================================================================
--- trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/actions/PackageConsistencyCheckerAction.java	(revision 13)
+++ trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/actions/PackageConsistencyCheckerAction.java	(revision 17)
@@ -65,5 +65,5 @@
 				Resource coreRes = null;
 				Resource updatedRes = null;
-				EList<Import> imports = ((EtsiBnfImpl) xtextResource.getParseResult().getRootNode().getElement()).getImports();
+				EList<Import> imports = ((EtsiBnfImpl) xtextResource.getParseResult().getRootNode().getElement()).getImportSection().getImports();
 				
 				for(int j=0; j<imports.size(); j++) {
Index: trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/formatter/EbnfFormatterVisitor.java
===================================================================
--- trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/formatter/EbnfFormatterVisitor.java	(revision 13)
+++ trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/formatter/EbnfFormatterVisitor.java	(revision 17)
@@ -32,4 +32,6 @@
 	private FormatterConfig config;
 
+	private boolean lastWasSectionHeading=false;
+	
 	public EbnfFormatterVisitor(EObject rootNode, FormatterConfig config) {
 		super(rootNode);
@@ -164,4 +166,9 @@
 
 	protected void visitBefore(Rule node) {
+		if (lastWasSectionHeading)
+			buf.append("\n");
+		
+		lastWasSectionHeading=false;
+
 		if (node.getRulenumber() > 0)
 			buf.append(node.getRulenumber() + ". ");
@@ -188,12 +195,17 @@
 
 	protected void visitBefore(SectionHeading node) {
-		if (!buf.substring(buf.length()-2).equals("\n\n"))
+		if (!lastWasSectionHeading && !buf.substring(buf.length()-2).equals("\n\n"))
 			buf.append("\n");
 		
+		lastWasSectionHeading=true;
+//		if (!lastWasSectionHeading || !buf.substring(buf.length()-2).equals("\n\n"))
+//		if (!buf.substring(buf.length()-2).equals("\n\n"))
+//			buf.append("\n");
+		
 		buf.append(node.getSectionHeader());
 	}
 
 	protected void visitAfter(SectionHeading node) {
-		buf.append("\n");
+//		buf.append("\n");
 	}
 
Index: trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/refactoring/rename/RenameRefactoringHandler.java
===================================================================
--- trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/refactoring/rename/RenameRefactoringHandler.java	(revision 13)
+++ trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src/de/ugoe/cs/swe/bnftools/ui/refactoring/rename/RenameRefactoringHandler.java	(revision 17)
@@ -72,5 +72,5 @@
 					"Error while applying refactoring to workbench/wizard: "
 							+ e.getMessage());
-			e.printStackTrace();
+			//e.printStackTrace();
 		}
 		return null;
